main {
    width: var(--all-width);
    margin: 0 auto;
    padding: 30px 0;
    display: flex;
}

main h5 {
    padding: 10px 0;
    background-color: var(--list-rig-background);
    position: relative;
    padding-left: 50px;
    color: var(--yelow);
    border-right: 8px solid var(--yelow);
    margin-bottom: 15px;
}

main h5::before {
    content: '';
    position: absolute;
    border: 18px solid #fff;
    background-color: #fff;
    transform: translate(-50%, -50%) rotate(45deg);
    text-align: center;
    top: 50%;
    left: -10px;
}

.man-lef {
    flex: 1;
}

.man-lef .img-box {
    width: 100%;
    position: relative;
}

.man-lef .img-box::before {
    content: '';
    padding-top: 60%;
    display: block;
}

.man-lef p {
    text-indent: 20px;
    font-size: 18px;
    margin: 5px 0;
    line-height: 28px;
}

main h6 {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    font-style: unset;
    margin: 30px 0;
    font-size: 20px;
}

.man-lef {
    display: flex;
    flex-direction: column;
}

.man-lef img {
    position: relative;
    inset: 0 !important;
}

.man-rig {
    width: 33%;
    position: sticky;
    top: 100px;
    margin-bottom: auto;
    color: #000;
    padding: 0 2%;
    margin-left: 30px;
    border-left: 3px solid gray;
    overflow: hidden;
}

.rig-big-box {
    width: 94%;
    margin: 0 auto;
}

.rig-box {
    width: 100%;
    position: relative;
    margin-bottom: 10%;
}

.rig-txt {
    position: absolute;
    width: 100%;
    min-height: 20%;
    max-height: 50%;
    background-color: #ffffffb2;
    padding: 10px;
    bottom: 0;
    font-size: 14px;
    font-weight: 700;
    overflow: hidden;
    transition: .2s;
}

.rig-txt:hover {
    color: #666;
    text-decoration: underline;
}

.rig-box::before {
    content: '';
    display: block;
    padding-top: 65%;
}

@media (max-width:799px) {
    main {
        flex-direction: column;
    }

    .man-lef,
    .man-rig {
        width: 100%;
    }

    .man-rig {
        border: 0;
        padding: 0;
        margin: 0;
    }
}